/***************/
/*   GENERAL   */
/***************/

.template-catalogos-boton-mas {
    display: none;
    position: absolute;
    bottom: 2rem;
    left: 2rem;
    width: 30px;
    height: 25px;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    /*display: flex;*/
    align-items: center;
    justify-content: center;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.15);
}

.template-catalogos-boton-mas:hover {
    transform: scale(1.1);
    box-shadow: 0 4px 12px rgba(0, 0, 0, 0.2);
}

.template-catalogos-boton-mas .icono-mas {
    width: 24px;
    height: 24px;
}

@media (max-width: 768px) {
    .template-catalogos-boton-mas {
        width: 50px;
        height: 50px;
        bottom: 1.5rem;
        left: 1.5rem;
    }

    .template-catalogos-boton-mas .icono-mas {
        width: 20px;
        height: 20px;
    }
}

h1.catalogo-titulo-pagina {
    color: #7E7E7C;
    align-self: flex-start;
    padding-left: 1rem;
    font-size: 1.3rem;
    font-weight: 400;
    margin-bottom: -15px;
}

/********************************************************/
/*    TEMPLATE FOTO PRINCIPAL DOS SMALL UNA HORIZONTAL  */
/********************************************************/

.template-catalogo-foto-principal-dos-small-una-horizontal {
    width: 100%;
    padding: 0 1rem;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .contenedor-catalogo {
    display: flex;
    gap: 8px;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .imagen-principal-catalogo {
    position: relative;
    flex: 1;
    overflow: hidden;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .imagen-principal-catalogo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    background-color: #F2F1EF;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .columna-derecha-catalogo {
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .productos-small-catalogo {
    display: flex;
    gap: 8px;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .tarjeta-producto {
    flex: 1;
    display: flex;
    flex-direction: column;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .contenedor-imagen {
    position: relative;
    aspect-ratio: 2/3;
    overflow: hidden;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .contenedor-imagen img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    background-color: #F2F1EF;
}


.template-catalogo-foto-principal-dos-small-una-horizontal .info-producto {
    padding: 0.05rem 0 0 0;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .linea-principal {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin-bottom: 0rem;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .nombre-producto {
    font-size: 0.875rem;
    font-weight: 700;
    color: #3A3A34;
    margin: 0;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .precios {
    display: flex;
    gap: 0.5rem;
    align-items: center;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .precio-anterior {
    font-size: 0.875rem;
    color: #7E7E7C;
    text-decoration: line-through;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .precio-actual {
    font-size: 0.875rem;
    color: #3A3A34;
    font-weight: 600;
    padding-right: 0.3rem;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .descripcion {
    font-size: 0.75rem;
    color: #7E7E7C;
    margin: 0;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .colores {
    /*display: flex;*/
    display: none;
    gap: 0.25rem;
    margin-top: 0.2rem;
    min-height: 12px;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .color {
    width: 12px;
    height: 12px;
    border-radius: 50%;
    border: 1px solid #ddd;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .imagen-horizontal-catalogo {
    position: relative;
    flex: 1;
    overflow: hidden;
    aspect-ratio: 16/9;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .imagen-horizontal-catalogo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    background-color: #F2F1EF;

}

.template-catalogo-foto-principal-dos-small-una-horizontal .boton-ver-seleccion {
    position: absolute;
    bottom: 2rem;
    left: 2rem;
    padding: 0.5rem 1.5rem;
    background-color: rgba(0, 0, 0, 0.35);
    color: white;
    text-decoration: none;
    border: 2px solid white;
    border-radius: 25px;
    font-size: 0.875rem;
    font-weight: 500;
    letter-spacing: 0.1em;
    transition: background-color 0.3s ease, color 0.3s ease;
    cursor: pointer;
}

.template-catalogo-foto-principal-dos-small-una-horizontal .boton-ver-seleccion:hover {
    background-color: white;
    color: #3A3A34;
}

@media (max-width: 768px) {
    .template-catalogo-foto-principal-dos-small-una-horizontal .contenedor-catalogo {
        flex-direction: column;
    }

    .template-catalogo-foto-principal-dos-small-una-horizontal .imagen-principal-catalogo {
        aspect-ratio: 2/3;
    }

    .template-catalogo-foto-principal-dos-small-una-horizontal .productos-small-catalogo {
        flex-direction: row;
    }

    .template-catalogo-foto-principal-dos-small-una-horizontal .imagen-horizontal-catalogo {
        aspect-ratio: 3/2;
    }

    .template-catalogo-foto-principal-dos-small-una-horizontal .boton-ver-seleccion {
        bottom: 1.5rem;
        left: 1.5rem;
        padding: 0.5rem 1.25rem;
        font-size: 0.75rem;
    }
}

/********************************************************/
/*          TEMPLATE DOS SMALL UNA HORIZONTAL           */
/********************************************************/

.template-catalogo-dos-small-una-horizontal {
    width: 100%;
    padding: 0 1rem;
}

.template-catalogo-dos-small-una-horizontal .contenedor-catalogo-dos-small {
    display: grid;
    grid-template-columns: 1fr 1fr 2fr;
    grid-template-rows: auto auto;
    gap: 8px;
    align-items: start;
}

.template-catalogo-dos-small-una-horizontal .tarjeta-producto {
    display: flex;
    flex-direction: column;
}

.template-catalogo-dos-small-una-horizontal .contenedor-imagen {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    aspect-ratio: 2/3;
}

.template-catalogo-dos-small-una-horizontal .contenedor-imagen img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    background-color: #F2F1EF;
}

.template-catalogo-dos-small-una-horizontal .info-producto {
    padding: 0.05rem 0 0 0;
}

.template-catalogo-dos-small-una-horizontal .linea-principal {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin-bottom: 0rem;
}

.template-catalogo-dos-small-una-horizontal .nombre-producto {
    font-size: 0.875rem;
    font-weight: 700;
    color: #3A3A34;
    margin: 0;
}

.template-catalogo-dos-small-una-horizontal .precios {
    display: flex;
    gap: 0.5rem;
    align-items: center;
}

.template-catalogo-dos-small-una-horizontal .precio-anterior {
    font-size: 0.875rem;
    color: #7E7E7C;
    text-decoration: line-through;
}

.template-catalogo-dos-small-una-horizontal .precio-actual {
    font-size: 0.875rem;
    color: #3A3A34;
    font-weight: 600;
    padding-right: 0.3rem;
}

.template-catalogo-dos-small-una-horizontal .descripcion {
    font-size: 0.75rem;
    color: #7E7E7C;
    margin: 0;
}

.template-catalogo-dos-small-una-horizontal .colores {
    display: none;
    /* display: flex;*/
    gap: 0.25rem;
    margin-top: 0.2rem;
    min-height: 12px;
}

.template-catalogo-dos-small-una-horizontal .color {
    width: 12px;
    height: 12px;
    border-radius: 50%;
    border: 1px solid #ddd;
}

.template-catalogo-dos-small-una-horizontal .imagen-horizontal-dos-small {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    aspect-ratio: 3/2;
}

.template-catalogo-dos-small-una-horizontal .imagen-horizontal-dos-small img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    background-color: #F2F1EF;
}

@media (max-width: 768px) {
    .template-catalogo-dos-small-una-horizontal .contenedor-catalogo-dos-small {
        grid-template-columns: 1fr 1fr;
        grid-template-rows: auto auto;
    }

    .template-catalogo-dos-small-una-horizontal .contenedor-imagen {
        height: auto;
        aspect-ratio: 2/3;
    }

    .template-catalogo-dos-small-una-horizontal .imagen-horizontal-dos-small {
        grid-column: 1 / -1;
        height: auto;
        aspect-ratio: 3/2;
        order: 5;
    }
}


/********************************************************/
/*       TEMPLATE CUATRO SMALL CON FOTO PRINCIPAL       */
/********************************************************/

.template-catalogo-cuatro-small-con-principal {
    width: 100%;
    padding: 0 1rem;
}

.template-catalogo-cuatro-small-con-principal .contenedor-catalogo-cuatro-small {
    display: grid;
    grid-template-columns: 1fr 1fr 2fr;
    grid-template-rows: auto auto;
    gap: 8px;
}

.template-catalogo-cuatro-small-con-principal .tarjeta-producto {
    display: flex;
    flex-direction: column;
}

.template-catalogo-cuatro-small-con-principal .contenedor-imagen {
    position: relative;
    aspect-ratio:4/5;
    overflow: hidden;  
}

.template-catalogo-cuatro-small-con-principal .contenedor-imagen img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    background-color: #F2F1EF; 
}

.template-catalogo-cuatro-small-con-principal .info-producto {
    padding: 0.05rem 0 0 0;
}

.template-catalogo-cuatro-small-con-principal .linea-principal {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin-bottom: 0rem;
}

.template-catalogo-cuatro-small-con-principal .nombre-producto {
    font-size: 0.875rem;
    font-weight: 700;
    color: #3A3A34;
    margin: 0;
}

.template-catalogo-cuatro-small-con-principal .precios {
    display: flex;
    gap: 0.5rem;
    align-items: center;
}

.template-catalogo-cuatro-small-con-principal .precio-anterior {
    font-size: 0.875rem;
    color: #7E7E7C;
    text-decoration: line-through;
}

.template-catalogo-cuatro-small-con-principal .precio-actual {
    font-size: 0.875rem;
    color: #3A3A34;
    font-weight: 600;
    padding-right: 0.3rem;
}

.template-catalogo-cuatro-small-con-principal .descripcion {
    font-size: 0.75rem;
    color: #7E7E7C;
    margin: 0;
}

.template-catalogo-cuatro-small-con-principal .imagen-principal-cuatro {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    grid-row: 1 / 3;
    grid-column: 3;
    aspect-ratio: 4/5;

}

.template-catalogo-cuatro-small-con-principal .imagen-principal-cuatro img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    background-color: #F2F1EF;
}

@media (max-width: 768px) {
    .template-catalogo-cuatro-small-con-principal .contenedor-catalogo-cuatro-small {
        grid-template-columns: 1fr 1fr;
        grid-template-rows: auto auto auto;
    }

    .template-catalogo-cuatro-small-con-principal .contenedor-imagen {
        height: auto;
        aspect-ratio: 2/3;
    }

    .template-catalogo-cuatro-small-con-principal .imagen-principal-cuatro {
        grid-column: 1 / -1;
        grid-row: 3;
        height: auto;
        aspect-ratio: 3/2;
    }
}

@media (hover: none) {
    .template-catalogos-boton-mas:hover {
        transform: scale(1);
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.15);
    }

    .template-catalogo-foto-principal-dos-small-una-horizontal .boton-ver-seleccion:hover {
        background-color: rgba(0, 0, 0, 0.35);
        color: white;
    }
}

/********************************************************/
/*          TEMPLATE TRES FOTOS HORIZONTALES            */
/********************************************************/

.template-catalogo-tres-fotos-horizontales {
    width: 100%;
    padding: 0 1rem;
}

.template-catalogo-tres-fotos-horizontales .contenedor-catalogo-tres-fotos {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 8px;
    align-items: start;
}

.template-catalogo-tres-fotos-horizontales .tarjeta-producto {
    display: flex;
    flex-direction: column;
}

.template-catalogo-tres-fotos-horizontales .contenedor-imagen {
    position: relative;
    width: 100%;
    overflow: hidden;
    aspect-ratio: 4/5;
}

.template-catalogo-tres-fotos-horizontales .contenedor-imagen img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    background-color: #F2F1EF;
}

.template-catalogo-tres-fotos-horizontales .info-producto {
    padding: 0.05rem 0 0 0;
}

.template-catalogo-tres-fotos-horizontales .linea-principal {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin-bottom: 0rem;
}

.template-catalogo-tres-fotos-horizontales .nombre-producto {
    font-size: 0.875rem;
    font-weight: 700;
    color: #3A3A34;
    margin: 0;
}

.template-catalogo-tres-fotos-horizontales .precios {
    display: flex;
    gap: 0.5rem;
    align-items: center;
}

.template-catalogo-tres-fotos-horizontales .precio-anterior {
    font-size: 0.875rem;
    color: #7E7E7C;
    text-decoration: line-through;
}

.template-catalogo-tres-fotos-horizontales .precio-actual {
    font-size: 0.875rem;
    color: #3A3A34;
    font-weight: 600;
    padding-right: 0.3rem;
}

.template-catalogo-tres-fotos-horizontales .descripcion {
    font-size: 0.75rem;
    color: #7E7E7C;
    margin: 0;
}

@media (max-width: 768px) {
    .template-catalogo-tres-fotos-horizontales .contenedor-catalogo-tres-fotos {
        grid-template-columns: 1fr;
    }

}

/********************************************************/
/*         TEMPLATE CUATRO FOTOS HORIZONTALES           */
/********************************************************/

.template-catalogo-cuatro-fotos-horizontales {
    width: 100%;
    padding: 0 1rem;
}

.template-catalogo-cuatro-fotos-horizontales .contenedor-catalogo-cuatro-fotos {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 8px;
    align-items: start;
}

.template-catalogo-cuatro-fotos-horizontales .tarjeta-producto {
    display: flex;
    flex-direction: column;
}

.template-catalogo-cuatro-fotos-horizontales .contenedor-imagen {
    position: relative;
    width: 100%;
    overflow: hidden;
    aspect-ratio: 4/5;
}

.template-catalogo-cuatro-fotos-horizontales .contenedor-imagen img {
    width: 100%;
    height: 100%;
    display: block;
    background-color: #F2F1EF;
}

.template-catalogo-cuatro-fotos-horizontales .info-producto {
    padding: 0.05rem 0 0 0;
}

.template-catalogo-cuatro-fotos-horizontales .linea-principal {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin-bottom: 0rem;
}

.template-catalogo-cuatro-fotos-horizontales .nombre-producto {
    font-size: 0.875rem;
    font-weight: 700;
    color: #3A3A34;
    margin: 0;
}

.template-catalogo-cuatro-fotos-horizontales .precios {
    display: flex;
    gap: 0.5rem;
    align-items: center;
}

.template-catalogo-cuatro-fotos-horizontales .precio-anterior {
    font-size: 0.875rem;
    color: #7E7E7C;
    text-decoration: line-through;
}

.template-catalogo-cuatro-fotos-horizontales .precio-actual {
    font-size: 0.875rem;
    color: #3A3A34;
    font-weight: 600;
    padding-right: 0.3rem;
}

.template-catalogo-cuatro-fotos-horizontales .descripcion {
    font-size: 0.75rem;
    color: #7E7E7C;
    margin: 0;
}

@media (max-width: 768px) {
    .template-catalogo-cuatro-fotos-horizontales .contenedor-catalogo-cuatro-fotos {
        grid-template-columns: 1fr 1fr;
    }
}

/********************************************************/
/*   TEMPLATE UNA SMALL UNA HORIZONTAL UNA SMALL        */
/********************************************************/

.template-catalogo-una-small-una-horizontal-una-small {
    width: 100%;
    padding: 0 1rem;
}

.template-catalogo-una-small-una-horizontal-una-small .contenedor-catalogo-una-small-horizontal-small {
    display: grid;
    grid-template-columns: 1fr 2fr 1fr;
    grid-template-rows: auto auto;
    gap: 8px;
    align-items: start;
}

.template-catalogo-una-small-una-horizontal-una-small .tarjeta-producto {
    display: flex;
    flex-direction: column;
}

.template-catalogo-una-small-una-horizontal-una-small .contenedor-imagen {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    background-color: #f5f5f5;
    aspect-ratio: 2/3;
}

.template-catalogo-una-small-una-horizontal-una-small .contenedor-imagen img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.template-catalogo-una-small-una-horizontal-una-small .imagen-horizontal-central {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    grid-column: 2;
    grid-row: 1;
    aspect-ratio: 16/9;
}

.template-catalogo-una-small-una-horizontal-una-small .imagen-horizontal-central img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.template-catalogo-una-small-una-horizontal-una-small .info-producto {
    padding: 0.05rem 0 0 0;
}

.template-catalogo-una-small-una-horizontal-una-small .info-producto-1 {
    grid-column: 1;
    grid-row: 2;
}

.template-catalogo-una-small-una-horizontal-una-small .info-producto-2 {
    grid-column: 3;
    grid-row: 2;
}

.template-catalogo-una-small-una-horizontal-una-small .linea-principal {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin-bottom: 0rem;
}

.template-catalogo-una-small-una-horizontal-una-small .nombre-producto {
    font-size: 0.875rem;
    font-weight: 700;
    color: #3A3A34;
    margin: 0;
}

.template-catalogo-una-small-una-horizontal-una-small .precios {
    display: flex;
    gap: 0.5rem;
    align-items: center;
}

.template-catalogo-una-small-una-horizontal-una-small .precio-anterior {
    font-size: 0.875rem;
    color: #7E7E7C;
    text-decoration: line-through;
}

.template-catalogo-una-small-una-horizontal-una-small .precio-actual {
    font-size: 0.875rem;
    color: #3A3A34;
    font-weight: 600;
    padding-right: 0.3rem;
}

.template-catalogo-una-small-una-horizontal-una-small .descripcion {
    font-size: 0.75rem;
    color: #7E7E7C;
    margin: 0;
}

@media (max-width: 768px) {
    .template-catalogo-una-small-una-horizontal-una-small .contenedor-catalogo-una-small-horizontal-small {
        grid-template-columns: 1fr 1fr;
        grid-template-rows: auto auto auto;
    }

    .template-catalogo-una-small-una-horizontal-una-small .tarjeta-producto.tarjeta-small-1 {
        grid-column: 1;
        grid-row: 1;
    }

    .template-catalogo-una-small-una-horizontal-una-small .tarjeta-producto.tarjeta-small-2 {
        grid-column: 2;
        grid-row: 1;
    }

.template-catalogo-una-small-una-horizontal-una-small .imagen-horizontal-central {
        grid-column: 1 / -1;
        grid-row: 3;
        height: auto;
        aspect-ratio: 16/9;
    }

    .template-catalogo-una-small-una-horizontal-una-small .info-producto-1 {
        grid-column: 1;
        grid-row: 2;
    }

    .template-catalogo-una-small-una-horizontal-una-small .info-producto-2 {
        grid-column: 2;
        grid-row: 2;
    }
}